Bug 603359 - cp is built without xattr support
cp is built without xattr support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 603617
  Show dependency treegraph
 
Reported: 2010-06-12 11:27 EDT by HAT
Modified: 2010-07-01 14:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: coreutils-8.4-7.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 603617 (view as bug list)
Environment:
Last Closed: 2010-07-01 14:52:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description HAT 2010-06-12 11:27:05 EDT
Description of problem:
 cannot copy xattr by cp command.

Version-Release number of selected component (if applicable):
 coreutils-8.4-6.fc13.i686

How reproducible:

 # cp --preserve=xattr aaa.txt  bbb.txt
 cp: cannot preserve extended attributes, cp is built without xattr support
Comment 1 Pádraig Brady 2010-06-13 09:43:37 EDT
That was fixed 6 months ago (3 days after the 8.4 release)

http://git.savannah.gnu.org/gitweb/?p=coreutils.git;a=commit;h=e489fd04
Comment 2 Fedora Update System 2010-06-14 06:38:38 EDT
coreutils-8.4-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/coreutils-8.4-7.fc13
Comment 3 Fedora Update System 2010-06-14 13:28:05 EDT
coreutils-8.4-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update coreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/coreutils-8.4-7.fc13
Comment 4 HAT 2010-06-15 08:08:06 EDT
okay.
It runs well.
Comment 5 James Laska 2010-06-30 10:02:49 EDT
Verified the fix.

$ rpm -qf /bin/cp
coreutils-8.4-7.fc13.x86_64

$ /bin/cp --preserve=xattr /tmp/foo /tmp/bar
Comment 6 Fedora Update System 2010-07-01 14:51:56 EDT
coreutils-8.4-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.